## avdtpsrc avdtpsrc |

## Properties

gchar * | transport | Read / Write
guint | transport-volume | Read / Write

## Types and Values

struct | GstAvdtpSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstAvdtpSrc

## Description

## Synopsis

### Element Information

plugin | bluez
author | Arun Raghavan <arun.raghavan@collabora.co.uk>
class | Source/Audio/Network/RTP

### Element Pads

name | src
direction | source
presence | always
details | application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int){ 16000, 32000, 44100, 48000 }, encoding-name=(string)SBC
| application/x-rtp, media=(string)audio, payload=(int)[ 96, 127 ], clock-rate=(int){ 8000, 11025, 12000, 16000, 22050, 2400, 32000, 44100, 48000, 64000, 88200, 96000 }, encoding-name=(string)MP4A-LATM

## Functions

## Types and Values

### struct GstAvdtpSrc

    struct GstAvdtpSrc;

## Property Details

### The `“transport”` property

      “transport”                gchar *

Use configured transport.

Flags: Read / Write

Default value: NULL

### The `“transport-volume”` property

      “transport-volume”         guint

Volume of the transport (only valid if transport is acquired).

Flags: Read / Write

Allowed values: <= 127

Default value: 127